/************************************************************************/
/*		Written by:	Laura Sedgwick				*/
/*		For: 		Sample Solution, A0 CSC270		*/
/*		Date:		June 3, 1997				*/
/************************************************************************/

/**************************************************************************/
/* This is a basic arithmetic program.  It should have links to the names */
/* add, subtrract, factorial and factorial2 created so that it may be run */
/* under these titles.  It will check the name that it is run under and   */
/* call the appropriate function with the other command line arguments as */
/* parameteres to that function.					  */
/**************************************************************************/

#include "add.h"
#include "multiply.h"
#include "factorial.h"
#include "factorial2.h"

int main (argc, argv)
int argc;
char *argv[];
{
  double a, b;
  int n;
  if (argc > 3) {
    printf("Incorrect number of arguments.\n");
    exit(1);
    }
  if (strcmp(argv[0], "add") == 0) {
	if (argc != 3) {
	  printf("Incorrect number of arguments.\n");
	  exit(1);
	  }
  	sscanf(argv[1], "%lf", &a);
  	sscanf(argv[2], "%lf", &b);
	add(a, b);
	}
  if (strcmp(argv[0], "multiply") == 0) {
	if (argc != 3) {
	  printf("Incorrect number of arguments.\n");
	  exit(1);
	  }
  	sscanf(argv[1], "%lf", &a);
  	sscanf(argv[2], "%lf", &b);
	multiply(a, b);
	}
  if (strcmp(argv[0], "factorial") == 0)  {
	if (argc != 2) {
	  printf("Incorrect number of arguments.\n");
	  exit(1);
	  }
  	sscanf(argv[1], "%d", &n);
	factorial(n);
	}
  if (strcmp(argv[0], "factorial2") == 0)  {
	if(argc != 2) {
	  printf("Incorrect number of arguments.\n");
	  exit(1);
	  }
  	sscanf(argv[1], "%d", &n);
	printf("%d! = %d\n", n, factorial2(n));
	}

}

